Coupons
Create coupon
Register a coupon to use in offers.
POST
/couponscoupons:writeRequest
marketplacestring · bodyMarketplace.mandatorycodestring · bodyCoupon code.mandatorydescriptionstring · bodyDescription.optionalvaluestring · bodyValue presented.optionalminimumnumber · bodyMinimum order.optionalvalid_untilstring · bodyISO validity.optionaltypestring · bodyCoupon type.optionaldiscountnumber · bodyPercentage or discount amount.optionalcapnumber · bodyDiscount ceiling.optionalcategoriesarray · bodyEligible categories.optionalverifiedboolean · bodyMark the coupon as verified.optionalactiveboolean · bodyActivate or archive the coupon.optionalExample
curl
curl -X POST 'https://achadu.com/api/v1/coupons' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"marketplace": "string",
"code": "string",
"description": "string",
"value": "string",
"minimum": 10
}'Answer
201Resource created4xxError with code, message and request_id